<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.menu.FeedbackActivity">

    <ImageView
        android:id="@+id/back_arrow"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="23dp"
        android:src="@drawable/back"
        app:layout_constraintBottom_toBottomOf="@+id/feedback_title"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/feedback_title"
        tools:ignore="ContentDescription" />

    <TextView
        android:id="@+id/feedback_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="60dp"
        android:layout_marginTop="28dp"
        android:text="Feedback"
        android:textColor="@color/white"
        android:textSize="28sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="14dp"
        android:layout_marginEnd="14dp"
        android:layout_marginBottom="44dp"
        android:backgroundTint="@color/bg_blue"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/feedback_title"
        app:layout_constraintVertical_bias="0.0"
        tools:layout_editor_absoluteX="0dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_rounded_rect"
            android:paddingStart="20dp">

            <TextView
                android:id="@+id/problem_description_title"
                android:layout_width="233dp"
                android:layout_height="48dp"
                android:layout_marginTop="24dp"
                android:text="Tell us the problem you \n
Encountered"
                android:textColor="@color/white"
                android:textSize="21sp"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/category_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="Category"
                android:textColor="#9DBDC9"
                android:textSize="16sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/problem_description_title" />

            <androidx.constraintlayout.helper.widget.Flow
                android:id="@+id/category_flow"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                app:constraint_referenced_ids="btn_overall_service,btn_speed_efficiency,btn_too_many_ads,btn_customer_support,btn_app_crash,btn_new_feature"
                app:flow_horizontalGap="8dp"
                app:flow_verticalGap="8dp"
                app:flow_wrapMode="aligned"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/category_label" />

            <Button
                android:id="@+id/btn_overall_service"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/button_gray"
                android:text="Overall Service"
                android:textAllCaps="false"
                android:textColor="#608E9E"
                android:textSize="12sp"
                app:cornerRadius="20dp" />

            <Button
                android:id="@+id/btn_speed_efficiency"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/button_gray"
                android:text="Speed &amp; Efficiency"
                android:textAllCaps="false"
                android:textColor="#608E9E"
                android:textSize="12sp"
                app:cornerRadius="20dp" />

            <Button
                android:id="@+id/btn_too_many_ads"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/button_gray"
                android:text="Too Many Ads"
                android:textAllCaps="false"
                android:textColor="#608E9E"
                android:textSize="12sp"
                app:cornerRadius="20dp" />

            <Button
                android:id="@+id/btn_customer_support"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/button_gray"
                android:text="Customer Support"
                android:textAllCaps="false"
                android:textColor="#608E9E"
                android:textSize="12sp"
                app:cornerRadius="20dp" />

            <Button
                android:id="@+id/btn_app_crash"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/button_gray"
                android:text="App Crash"
                android:textAllCaps="false"
                android:textColor="#608E9E"
                android:textSize="12sp"
                app:cornerRadius="20dp" />

            <Button
                android:id="@+id/btn_new_feature"
                style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/button_gray"
                android:text="New Feature"
                android:textAllCaps="false"
                android:textColor="#608E9E"
                android:textSize="12sp"
                app:cornerRadius="20dp" />

            <EditText
                android:id="@+id/problem_description_edittext"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="20dp"
                android:layout_marginBottom="28dp"
                android:background="@drawable/rounded_edittext_dotted_background"
                android:gravity="top|start"
                android:hint="Please describe your problem"
                android:inputType="textMultiLine"
                android:maxLines="10"
                android:minLines="5"
                android:padding="12dp"
                android:textColor="#608E9E"
                android:textColorHint="#B0BEC5"
                android:textSize="12sp"
                app:layout_constraintBottom_toTopOf="@id/submit_button"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/category_flow" />

            <Button
                android:id="@+id/submit_button"
                android:layout_width="257dp"
                android:layout_height="52dp"
                android:layout_marginBottom="31dp"
                android:backgroundTint="@color/blue"
                android:text="Submit"
                android:textColor="@color/white"
                android:textSize="21sp"
                android:textStyle="bold"
                app:cornerRadius="8dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>